## org.omg.PortableServer
Class ServantRetentionPolicyValue

    java.lang.Object
      |
      +--org.omg.PortableServer.ServantRetentionPolicyValue

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ServantRetentionPolicyValue
extends java.lang.Object
implements IDLEntity

Enum definition : ServantRetentionPolicyValue

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`static int` `_NON_RETAIN` Enum member NON_RETAIN value
`static int` `_RETAIN` Enum member RETAIN value
`static ServantRetentionPolicyValue` `NON_RETAIN` Enum member NON_RETAIN
`static ServantRetentionPolicyValue` `RETAIN` Enum member RETAIN

Method Summary
`static ServantRetentionPolicyValue` `from_int(int value)` Return a enum member from its value
`java.lang.Object` `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` `toString()` Return a string representation
`int` `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _RETAIN

    public static final int _RETAIN

  Enum member RETAIN value

### RETAIN

    public static final ServantRetentionPolicyValue RETAIN

  Enum member RETAIN

### _NON_RETAIN

    public static final int _NON_RETAIN

  Enum member NON_RETAIN value

### NON_RETAIN

    public static final ServantRetentionPolicyValue NON_RETAIN

  Enum member NON_RETAIN

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static ServantRetentionPolicyValue from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration